- Qt 6.10
- Qt WebEngine
- QtWebEngineQuick Namespace
- Qt 6.10.2 Reference Documentation

# QtWebEngineQuick Namespace

Helper functions for the Qt WebEngine (Qt Quick) module. More...

Header: | `#include <QtWebEngineQuick>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WebEngineQuick)` `target_link_libraries(mytarget PRIVATE Qt6::WebEngineQuick)`
qmake: | `QT += webenginequick`

## Functions

void | initialize()

## Detailed Description

The QtWebEngineQuick namespace is part of the Qt WebEngine module.

## Function Documentation

### void QtWebEngineQuick::initialize()

Sets up an OpenGL Context that can be shared between threads. This has to be done before QGuiApplication is created and before window's QPlatformOpenGLContext is created.

This has the same effect as setting the Qt::AA_ShareOpenGLContexts attribute with QCoreApplication::setAttribute before constructing QGuiApplication.